## Class TBrowserLogRoute

Description

TBrowserLogRoute class.

TBrowserLogRoute prints selected log messages in the response.

- since: 3.0
- version: $Id: TLogRouter.php 2415 2008-03-24 20:39:47Z xue $
- author: Xiang Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Util/TLogRouter.php (line 590)

    TComponent
       |
       --TApplicationComponent
          |
          --TLogRoute
             |
             --TBrowserLogRoute

Direct descendents

Class | Description
--- | ---
TFirebugLogRoute | TFirebugLogRoute class.

Method Summary
void getColorLevel (mixed $level)
void processLogs (mixed $logs)
void renderFooter ()
void renderHeader ()
void renderMessage (mixed $log, mixed $info)
Variables

#### Inherited Variables

Inherited from TLogRoute

> TLogRoute::$_levelNames
> TLogRoute::$_levelValues

Methods
getColorLevel (line 651)

- access: protected

void getColorLevel (mixed $level)
processLogs (line 592)

- access: public

void processLogs (mixed $logs)

Redefinition of:

TLogRoute::processLogs()
  Processes log messages and sends them to specific destination.

renderFooter (line 666)

- access: protected

void renderFooter ()

Redefined in descendants as:

- TFirebugLogRoute::renderFooter()

renderHeader (line 617)

- access: protected

void renderHeader ()

Redefined in descendants as:

- TFirebugLogRoute::renderHeader()

renderMessage (line 632)

- access: protected

void renderMessage (mixed $log, mixed $info)

Redefined in descendants as:

- TFirebugLogRoute::renderMessage()

#### Inherited Methods

Inherited From TLogRoute

> TLogRoute::collectLogs()
> TLogRoute::formatLogMessage()
> TLogRoute::getCategories()
> TLogRoute::getLevelName()
> TLogRoute::getLevels()
> TLogRoute::getLevelValue()
> TLogRoute::init()
> TLogRoute::processLogs()
> TLogRoute::setCategories()
> TLogRoute::setLevels()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:32 -0400 by phpDocumentor 1.3.0RC4